# Change Log
All notable changes to the Heap Android Core SDK will be documented in this file.

The format is based on [Keep a Changelog][cl] and this project adheres to
[Semantic Versioning][sv].

[cl]: http://keepachangelog.com/
[sv]: http://semver.org/

## [Unreleased]

## [0.7.0] 2024-08-28
- Added support for notification interaction events [MOBILE-10908]
- Added support for sending identity to live view [MOBILE-11947]

## [0.6.2] 2024-07-25
- Updated ID generation to use SecureRandom [MOBILE-11473]

## [0.6.1] 2024-07-02
- Fixed a bug where `restorePreviousSession` wasn't being set properly through the support bridge [MOBILE-11377]

## [0.6.0] 2024-06-11
- Added support for Heap Contentsquare Android Bridge [PA-3206]

## [0.5.2] 2024-03-21
- Fixed a bug where the mobile library version wasn't being reported properly [PA-3654]

## [0.5.1] 2024-02-23
- Fixed a bug where switching between environment IDs could prevent events from being stored properly [PA-54]
- Fixed a bug where tracking a native event after a WebView event would improperly change the session expiration time [PA-2186]
- Added support for tracking pageviews across a JavaScript bridge [HEAP-37212]
- Added support for tracking interactions across a JavaScript bridge [HEAP-37224]

## [0.5.0] 2024-01-04
- Added an option to capture vendor ID [HEAP-47652]
- Added an option to configure the number of messages sent in each upload batch [HEAP-48415]
- Added an option to configure whether event properties should be cleared when the current user changes [HEAP-49112]
- Updated the network behavior to continue sending events when receiving a 400 for a user or session [HEAP-49302]
- Removed the dependencies for advertiser ID, vendor ID, and WebView integrations and split into separate artifacts [HEAP-48300] [HEAP-47652] [HEAP-48416]
- New artifact for Google advertiser ID capture `io.heap.core.identifier:ad-id-google` [HEAP-48300]
- New artifact for Amazon advertiser ID capture `io.heap.core.identifier:ad-id-amazon` [HEAP-48300]
- New artifact for Google vendor ID capture `io.heap.core.identifier:vendor-id-google` [HEAP-47652]
- New artifact for WebView integration `io.heap.core.web:webview-heapjs` [HEAP-48416]

## [0.4.0] 2023-09-25
- Added an option to disable accessibility label capture [HEAP-47328]
- `Heap.addEventProperties` no longer attaches properties to session messages [HEAP-46562]
- Target text is now trimmed of leading and trailing whitespace [HEAP-46472]
- Added a builder to `Options` to make setting options easier in Java apps [HEAP-44983]
- Messages are now limited to 0.78 MB in size [HEAP-36467]

## [0.3.0] 2023-06-23
- Added support for AndroidX Fragment transition events [HEAP-41749]
- Added support to track app version changes [HEAP-42158]

## [0.2.0] 2023-05-15
- Fixed a race condition that could prevent capture of the Android Advertiser ID property. [HEAP-42385]
- Changed the default behavior of `Heap.startRecording` to delay the start of a session until an event or pageview occurs. In order to override the default behavior and start a session immediately, initialize an `Options` instance with `startSessionImmediately` set to `true` and invoke `Heap.startRecording` with that `Options` instance. NOTE: If you are using the Heap Android View Autocapture SDK, you must also upgrade that dependency's version to 0.2.0. [HEAP-43105]

## [0.1.1] 2023-03-14
- Event properties with empty keys or values will be omitted. [HEAP-41456]

## [0.1.0] 2023-03-09
- Initial release of Heap Android Core SDK [HEAP-33889]
